# Uses of Enum Class
org.bukkit.event.player.PlayerFishEvent.State

Packages that use PlayerFishEvent.State
Package
Description
org.bukkit.event.player
`Events` relating to `players`.

## Uses of PlayerFishEvent.State in org.bukkit.event.player

Methods in org.bukkit.event.player that return PlayerFishEvent.State
Modifier and Type
Method
Description
`@NotNull PlayerFishEvent.State`
PlayerFishEvent.`getState()`
Gets the state of the fishing
`static PlayerFishEvent.State`
PlayerFishEvent.State.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PlayerFishEvent.State[]`
PlayerFishEvent.State.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.bukkit.event.player with parameters of type PlayerFishEvent.State
Modifier
Constructor
Description
``
`PlayerFishEvent(@NotNull Player player, @Nullable Entity entity, @NotNull FishHook hookEntity, @NotNull PlayerFishEvent.State state)`
``
`PlayerFishEvent(@NotNull Player player, @Nullable Entity entity, @NotNull FishHook hookEntity, @Nullable EquipmentSlot hand, @NotNull PlayerFishEvent.State state)`